CVE-2018-9860

NameCVE-2018-9860
DescriptionAn issue was discovered in Botan 1.11.32 through 2.x before 2.6.0. An off-by-one error when processing malformed TLS-CBC ciphertext could cause the receiving side to include in the HMAC computation exactly 64K bytes of data following the record buffer, aka an over-read. The MAC comparison will subsequently fail and the connection will be closed. This could be used for denial of service. No information leak occurs.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
botan (PTS)buster, sid2.6.0-3fixed
botan1.10 (PTS)jessie (security), jessie1.10.8-2+deb8u2fixed
stretch1.10.16-1fixed
sid1.10.17-0.1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
botansource(unstable)2.4.0-6medium
botan1.10source(unstable)(not affected)

Notes

- botan1.10 <not-affected> (Issue introduced in 1.11.32)
https://github.com/randombit/botan/commit/ec222c99719c396a1f4756b2ca345dbbfbeb5ed5
Bug introduced in 1.11.32, fixed in 2.6.0

Search for package or bug name: Reporting problems